pci_request_regions
Prev | PCI Support Library | Next

## Name

pci_request_regions — Reserved PCI I/O and memory resources

## Synopsis

`int pci_request_regions (` | struct pci_dev * | pdev,
| const char * | res_name`)`;

## Arguments

`pdev`

  PCI device whose resources are to be reserved

`res_name`

  Name to be associated with resource.

## Description

Mark all PCI regions associated with PCI device `pdev` as being reserved by owner `res_name`. Do not access any address inside the PCI regions unless this call returns successfully.

Returns 0 on success, or `EBUSY` on error. A warning message is also printed on failure.

Prev | Up | Next
pci_release_regions | Home | pci_set_master